Bug 143543 - kernel panic on boot time
kernel panic on boot time
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-12-21 23:41 EST by MASAO TAKAHASHI
Modified: 2015-01-04 17:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-23 19:23:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
a patch for the patch (911 bytes, text/plain)
2004-12-21 23:45 EST, MASAO TAKAHASHI
no flags Details

  None (edit)
Description MASAO TAKAHASHI 2004-12-21 23:41:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.7.5)
Gecko/20041108 Firefox/1.0

Description of problem:
Kernel panic is occured on boot time with x86 PC that has intel chipset. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. boot up kernel

Actual Results:  Segmentation fault error is occured after udev

Additional info:

Call Trace:
[ ] __request_region
[ ] pci_request_region
[ ] pci_request_regions
[ ] b44_init_one
[ ] __pci_device_probe
[ ] pci_device_probe
[ ] bus_match
[ ] driver_attach
[ ] bus_add_driver
[ ] pci_register_driver
[ ] b44_init
[ ] sys_init_module
[ ] syscall_call
/etc/rc.d/rc.sysinit: Line 167 871 Segmentaion fault modprobe
$1>/dev/null 2>&1
I have detected 2 bugs in the linux-2.6.9-agp-posting-bugs.patch.
Comment 1 MASAO TAKAHASHI 2004-12-21 23:45:36 EST
Created attachment 108989 [details]
a patch for the patch
Comment 2 Dave Jones 2004-12-22 00:06:54 EST
fixed in cvs, thanks.
Comment 3 MASAO TAKAHASHI 2004-12-23 19:25:38 EST
1048_FC4 is faster than 1032_FC4.
That's good!
Comment 4 Alistair Riddoch 2005-01-02 18:27:55 EST
I have what looks like a similar problem with a later version.
kernel-2.6.10-1.1056 panics just after udev startup. Here is the
exact output:

Initialising hardware...  storage networkKernel panic - not syncing:
sound/pci/es1968.c:885: spin_lock(sound/pci/es1968.c:d184706c) already
locked by sound/pci/es1968.c/1811

Let me know if I need to file a new bug.
Comment 5 MASAO TAKAHASHI 2005-01-05 20:54:56 EST
Dear Mr Riddoch
Your problem is different from #143543, I think.
By your log, initialising was succeeded on storage and network.
Concerning with #143543, initilising didn't progress any more.

Note You need to log in before you can comment on or make changes to this bug.